> ## Documentation Index
> Fetch the complete documentation index at: https://docs.somya.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current Subscription Route



## OpenAPI

````yaml https://api.somya.ai/openapi.json get /v1/subscriptions/current
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/subscriptions/current:
    get:
      tags:
        - subscriptions
      summary: Get Current Subscription Route
      operationId: get_current_subscription_route_v1_subscriptions_current_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CurrentSubscriptionResponse'
components:
  schemas:
    CurrentSubscriptionResponse:
      properties:
        success:
          type: boolean
          title: Success
          default: true
        data:
          $ref: '#/components/schemas/CurrentSubscriptionData'
      type: object
      required:
        - data
      title: CurrentSubscriptionResponse
    CurrentSubscriptionData:
      properties:
        subscription_id:
          type: string
          format: uuid
          title: Subscription Id
        plan_id:
          type: string
          title: Plan Id
        plan_name:
          type: string
          title: Plan Name
        status:
          type: string
          title: Status
        current_period_start:
          type: string
          format: date-time
          title: Current Period Start
        current_period_end:
          type: string
          format: date-time
          title: Current Period End
        razorpay_order_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Razorpay Order Id
      type: object
      required:
        - subscription_id
        - plan_id
        - plan_name
        - status
        - current_period_start
        - current_period_end
        - razorpay_order_id
      title: CurrentSubscriptionData

````